Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.xml.factory.objects
Class ArrayObjectDescription

    java.lang.Object
      org.jfree.xml.factory.objects.AbstractObjectDescription
          org.jfree.xml.factory.objects.ArrayObjectDescription

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, ObjectDescription

    public class ArrayObjectDescription

extends AbstractObjectDescription

Describes an Object- or primitive value array. This object description is not intended to be created outside the ArrayClassFactory.

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`ArrayObjectDescription(java.lang.Class c)` Constructs a new array objet description for the given array class.

Method Summary
`java.lang.Object` | `createObject()` Creates an object based on the description.
`ObjectDescription` | `getInstance()` Returns a new instance of the object description.
`java.lang.Class` | `getParameterDefinition(java.lang.String name)` Returns a parameter definition.
`java.util.Iterator` | `getParameterNames()` Returns an iterator for the parameter names.
`void` | `setParameterFromObject(java.lang.Object o)` Sets the parameters of this description object to match the supplied object.

Methods inherited from class org.jfree.xml.factory.objects.AbstractObjectDescription
`configure, convertPrimitiveClass, equals, getConfig, getDefinedParameterNames, getObjectClass, getParameter, getUnconfiguredInstance, hashCode, setParameter, setParameterDefinition`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayObjectDescription

    public ArrayObjectDescription(java.lang.Class c)

  Constructs a new array objet description for the given array class.

  Note: throws `IllegalArgumentException` if the given class is no array.

  Parameters:
    `c` - the array class object.

Method Detail

### createObject

    public java.lang.Object createObject()

  Creates an object based on the description.

  Returns:
    The object.

### setParameterFromObject

    public void setParameterFromObject(java.lang.Object o)
                                throws ObjectFactoryException

  Sets the parameters of this description object to match the supplied object.

  Parameters:
    `o` - the object.
  Throws:
    `ObjectFactoryException` - if there is a problem while reading the properties of the given object.

### getParameterDefinition

    public java.lang.Class getParameterDefinition(java.lang.String name)

  Returns a parameter definition. If the parameter is invalid, this function returns null.

  Specified by:
    `getParameterDefinition` in interface `ObjectDescription`
  Overrides:
    `getParameterDefinition` in class `AbstractObjectDescription`
  Parameters:
    `name` - the definition name.
  Returns:
    The parameter class or null, if the parameter is not defined.

### getParameterNames

    public java.util.Iterator getParameterNames()

  Returns an iterator for the parameter names.

  Specified by:
    `getParameterNames` in interface `ObjectDescription`
  Overrides:
    `getParameterNames` in class `AbstractObjectDescription`
  Returns:
    The iterator.

### getInstance

    public ObjectDescription getInstance()

  Returns a new instance of the object description.

  Specified by:
    `getInstance` in interface `ObjectDescription`
  Overrides:
    `getInstance` in class `AbstractObjectDescription`
  Returns:
    The object description.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD